Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 831394 - gtk3-devel multilib conflict
Summary: gtk3-devel multilib conflict
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk3
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1058192 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-12 22:37 UTC by Philippe Troin
Modified: 2015-02-13 23:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-13 23:09:05 UTC


Attachments (Terms of Use)

Description Philippe Troin 2012-06-12 22:37:41 UTC
# yum install gtk3-devel
Loaded plugins: changelog, downloadonly, priorities, remove-with-leaves, show-
              : leaves, tsflags
16 packages excluded due to repository priority protections
Package gtk3-devel-3.4.3-2.fc17.x86_64 already installed and latest version
Resolving Dependencies
--> Running transaction check
---> Package gtk3-devel.i686 0:3.4.3-2.fc17 will be installed
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package             Arch          Version                Repository       Size
================================================================================
Installing:
 gtk3-devel          i686          3.4.3-2.fc17           fedora          3.1 M

Transaction Summary
================================================================================
Install  1 Package

Total size: 3.1 M
Installed size: 22 M
Is this ok [y/N]: y
Downloading Packages:
Running Transaction Check
Running Transaction Test


Transaction Check Error:
  file /usr/share/gir-1.0/Gtk-3.0.gir from install of gtk3-devel-3.4.3-2.fc17.i686 conflicts with file from package gtk3-devel-3.4.3-2.fc17.x86_64

Error Summary
-------------

[2]    12057 exit 1     noglob yum install gtk3-devel

Comment 1 Jan Kratochvil 2013-05-26 16:23:16 UTC
Still a problem in F-18:
  file /usr/share/gir-1.0/Gtk-3.0.gir from install of gtk3-devel-3.6.4-1.fc18.i686 conflicts with file from package gtk3-devel-3.6.4-1.fc18.x86_64

Comment 2 Colin Walters 2013-05-31 18:57:52 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=804197

Comment 3 Fedora End Of Life 2013-07-04 00:24:13 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Colin Walters 2013-10-31 16:47:45 UTC
See https://bugzilla.gnome.org/show_bug.cgi?id=711157

Comment 5 Fedora End Of Life 2013-12-21 08:38:17 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jim Mayer 2014-06-05 14:19:43 UTC
This problem just occurred for me when updating to gtk3-devel-3.10.9-1.fc20.i686 and gtk3-devel-3.10.9-1.fc20.x86_64.  It did not occur with gtk3-devel-3.10.8-1.fc20.x86_64 and gtk3-devel-3.10.8-1.fc20.i686.

The error message is:

Transaction check error:
  file /usr/share/gir-1.0/Gtk-3.0.gir conflicts between attempted installs of gtk3-devel-3.10.9-1.fc20.i686 and gtk3-devel-3.10.9-1.fc20.x86_64


A diff between the 32 and 64 bit versions of the conflicting file shows the following:


]# diff /usr/share/gir-1.0/Gtk-3.0.gir ~/Gtk-3.0.gir.64
90259,90263d90258
<       <field name="padding" writable="1">
<         <array zero-terminated="0" c:type="guint" fixed-size="2">
<           <type name="guint" c:type="guint"/>
<         </array>
<       </field>

Comment 7 Matthias Clasen 2014-09-04 04:29:35 UTC
*** Bug 1058192 has been marked as a duplicate of this bug. ***

Comment 8 Matthias Clasen 2015-02-13 23:09:05 UTC
fixed in f22


Note You need to log in before you can comment on or make changes to this bug.